/**
 * This is what the user sends into the log functions.
 */
export interface LogInput {
    /**
     * The actual log message.
     */
    'message': string;
    /**
     * The id that came from the service that called this lambda.
     * It is best practice to send this through a header called X-REQUEST-ID.
     * In most cases you would set this to that header if it exist.
     */
    'xRequestId'?: string;
    /**
     * Additional properties, these will also be logged.
     */
    [x: string]: any;
}
